// CFESShopHelper - [2020-04-13 11:57:46]
#ifndef _CFESShopHelper_H_
#define _CFESShopHelper_H_

#include "common.h"

/*
0x00131020	CFESShopHelper::BuyItem
0x001310c4	CFESShopHelper::CheckForSave
0x00130fac	CFESShopHelper::CheckPurchases
0x00130f90	CFESShopHelper::ClearMessage
0x0013112c	CFESShopHelper::GetCostOfPack
0x001310f0	CFESShopHelper::GetCreditsInPack
0x0013110c	CFESShopHelper::GetIsPackOnSale
0x00130998	CFESShopHelper::Init
0x00130f44	CFESShopHelper::Process
0x001310c0	CFESShopHelper::RestorePurchase

纯粹是为了单元测试，功能正常，实际上暂时不需要这些类
*/

class CFESShopHelper {
public:
  CFESShopHelper();
  ~CFESShopHelper();
  static void BuyItem();                                // 00131020
  static void CheckForSave();                           // 001310c4
  static void CheckPurchases();                         // 00130fac
  static void ClearMessage();                           // 00130f90
  static void GetCostOfPack(int, wchar_t*, int, bool);  // 0013112c
  static void GetCreditsInPack();                       // 001310f0
  static void GetIsPackOnSale();                        // 0013110c
  static void Init();                                   // 00130998
  static void Process();                                // 00130f44
  static void RestorePurchase();                        // 001310c0
};

#endif  //_CFESGAME_H_